Bug 1366100 - XMLRPC retries in lab controller daemons are no longer logged
Summary: XMLRPC retries in lab controller daemons are no longer logged
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch, Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 03:52 UTC by Dan Callaghan
Modified: 2017-02-21 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:51:05 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2016-08-11 03:52:59 UTC
In bug 974352 we made the warnings about XMLRPC retries go to the logs (the implementation we inherited from Kobo sends the message to stderr which is lost in daemons). However in Beaker 23.0, commit 429ca1d9effa7e000de2745846d1f6f8dcd5518e, bug 1309906 this regressed and retries are no longer logged.

Comment 1 Dan Callaghan 2016-10-04 06:48:32 UTC
http://gerrit.beaker-project.org/5291 configure logging in bkr client
http://gerrit.beaker-project.org/5292 consolidate retry_transport and retry_request_decorator

Comment 4 Dan Callaghan 2017-02-21 18:51:05 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.